org.apache.ignite.lang

## Interface IgniteProducer<T>

Type Parameters:
  `T` - Type of producible value.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface IgniteProducer<T>

Defines a producer which can throw IgniteCheckedException.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `produce()`

### Method Detail

#### produce

    T produce()
       throws IgniteCheckedException

Returns:
  Produced value.
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022